For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
      • POSTCreate a list
      • GETGet a list's details
      • GETGet all the lists
      • PUTUpdate a list
      • DELDelete a list
      • GETGet contacts in a list
      • POSTDelete a contact from a list
      • POSTAdd existing contacts to a list
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Contact ManagementLists

Get all the lists

GET
https://api.brevo.com/v3/contacts/lists
GET
/v3/contacts/lists
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.contacts.getLists({});
8}
9main();
1{
2 "count": 2,
3 "lists": [
4 {
5 "id": 53,
6 "name": "Spanish_Speakers",
7 "totalBlacklisted": 65,
8 "totalSubscribers": 5432,
9 "uniqueSubscribers": 5497,
10 "folderId": 1
11 },
12 {
13 "id": 50,
14 "name": "Other",
15 "totalBlacklisted": 765,
16 "totalSubscribers": 10976,
17 "uniqueSubscribers": 11741,
18 "folderId": 2
19 }
20 ]
21}
<Note>Ongoing changes for this endpoint. We're dropping support for the response attributes totalSubscribers and totalBlacklisted. These are non breaking changes. The default value for the attributes will be 0.</Note>
Was this page helpful?
Previous

Update a list

Next
Built with
Ongoing changes for this endpoint. We’re dropping support for the response attributes totalSubscribers and totalBlacklisted. These are non breaking changes. The default value for the attributes will be 0.

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Query parameters

limitlongOptional0-50Defaults to 10
Number of documents per page
offsetlongOptionalDefaults to 0
Index of the first document of the page
sortenumOptionalDefaults to desc

Sort the results in the ascending/descending order of record creation. Default order is descending if sort is not passed

Allowed values:

Response

Lists informations
countlong
Number of lists in your account
listslist of objects
Listing of all the lists available in your account

Errors

400
Bad Request Error